# Contribution Guide

We welcome any contributions whether it is:

- Submitting feedback
- Fixing bugs
- Or implementing a new feature.

Please read this guide before making any contributions.

#### Submit Feedback
The feedback should be submitted by creating an issue on [GitHub issues](1).
Select the related template (bug report, feature request, or custom) and add the corresponding labels.

#### Fix Bugs
You may look through the [GitHub issues](1) for bugs.

#### Implement Features
You may look through the [GitHub issues](1) for feature requests.

## Pull Requests (PR)
1. Fork the repository and create a new branch from the `develop` branch.
2. For bug fixes, add new tests and for new features, please add changes to the documentation.
3. Do a PR from your new branch to our `develop` branch of the original onemetric repo.

## Documentation
- Make sure any new function or class you introduce has proper docstrings.

## Testing
- We use [pytest](2) for our testing. Make sure to write tests for any new feature and/or bug fixes.

## Main Contributor List
We maintain a list of main contributors to appreciate all the contributions.

[1]: https://github.com/SkalskiP/onemetric/issues
[2]: https://docs.pytest.org/en/latest/